Subject: NA Digest, V. 91, # 52

From: [email-masked] (NA-NET)
Date: Sun, 29 Dec 91 16:25:11 -0500

NA Digest   Sunday, December 29, 1991   Volume 91 : Issue 52

Today's Editor: Cleve Moler

Today's Topics:

     Greetings!
     Temporary Change of Address for Pete Stewart
     Bit Reversal Citations
     Bit Reversal for FFTs
     New Book on Global Optimization
     Short Course on Large Scale Scientific Computing
     Extended Deadline For PBSC 1992

Submissions for NA Digest: 
    Mail to [email-masked].

Information about NA-NET:
    Mail to [email-masked].

-------------------------------------------------------

From: Gene Golub <[email-masked]>
Date: Sat, 28 Dec 91 10:32:06 PST
Subject: Greetings!

Our best wishes for a healthy and happy New Year. May all your msgs be
meaningful!

                     #     #####   #####   #####
                    ##    #     # #     # #     #
                   # #    #     # #     #       #
                     #     ######  ######  #####
                     #          #       # #
                     #    #     # #     # #
                   #####   #####   #####  #######

   -- Your friendly NA-neters,

      Jack, Gene, Cleve and Bill

------------------------------

From: G. W. Stewart <[email-masked]>
Date: Fri, 27 Dec 91 07:57:46 -0500
Subject: Temporary Change of Address for Pete Stewart

Beginning January I will be spending six months at the IMA in
Minneapolis.  Please address all correspondence to

G. W. Stewart
Institute for Mathematics and its Applications
University of Minnesota
Minneapolis, MN 55455

My current email address (stewart@.cs.umd.edu) will work, but it
may be faster to send mail directly to [email-masked].

Pete Stewart

------------------------------

From: Siamak Hassanzadeh <[email-masked]>
Date: Mon, 23 Dec 91 08:46:26 CST
Subject: Bit Reversal Citations

In Digest v.91 n.51, Alan Karp had requested citations on bit reversals.
Here is one short communication on this subject that I have recently come
across.  It also contains a short list of other references.

"A simple algorithm for the bit-reversal permutation",
Urszula Rutkowska
Signal Processing v.23 (1991) 313-317.
Elsevier Pub.

Siamak Hassanzadeh
ARCO Exploration & Production Technology
2300 West Plano Pkwy
Plano, TX 75075-8499
214-754-6832
[email-masked]

------------------------------

From: Oscar Buneman <[email-masked]>
Date: Thu, 26 Dec 91 14:32:10 PST
Subject: Bit Reversal for FFTs

   Bit reversal for FFTs: I have learned to avoid this step, following an
idea of C.S.Burrus & H.W.Johnson which is presented sketchily in an obscure
reference. There is also a suggestive data flowsheet in Rabiner & Gold. My
contribution was to apply this to the Hartley version of the FFT. I explain
the principle and the implementation in "In-Situ Bit-Reversed Ordering for
Hartley Transforms", IEEE Transactions ASSP, col 17, no 4, p 577, April
1989.
   Basically, one processes one's butterflies in carefully chosen pairs and
swaps two of their four results before returning these to memory.
   The actual process of bit-reversing a number (technically trivial!) is
not available on any computer that I know of. To learn how to do it, try
first to make up simple addition entirely from logical and shift operations 
and see how one does "carry". Then reverse the direction of "carry" from
leftward to rightward. This gives you an algorithm for generating the 
sequence of bit-reversed integers.
   FFT's for parallel or "vector" architectures: I have never bothered to
vectorise or parallelise a transform in the direction of transforming since
the need seemed always to be for doing large numbers of different transforms
in parallel - as, typically, in 2-D image processing. So for two-dimensional
or higher-dimensional arrays one should choose to parralelise in the 
dimension which is not being transformed in the particular call to a multiple
Fourier Transform.

   Oscar Buneman

------------------------------

From: P. M. Pardalos <[email-masked]>
Date: Mon, 23 Dec 91 16:49:40 EST
Subject: New Book on Global Optimization

New book in Global Optimization:

Recent Advances in Global Optimization (Edited by C.A. Floudas & P.M. Pardalos),
Princeton University Press (1992), 633 pages. 

ISBN 0-691-08740-7 (cloth $69.50)
ISBN 0-691-02527-4 (paperback $39.50)

You can order the book by writing to:

Princeton University Press
41 William Street
Princeton, NJ 08540

------------------------------

From: Volker Mehrmann <[email-masked]>
Date: Mon, 23 Dec 91 10:28:32 MET
Subject: Short Course on Large Scale Scientific Computing

First announcement for a 5 day course on: 

Large Scale Scientific Computation
Universitaet Bielefeld, 31.08.--04.09.1992

organized by
A. Bunse--Gerstner (Univ. Bremen) and V. Mehrmann (RWTH Aachen/Univ. Bielefeld)

A consequence of the wide availabilty of supercomputers is that 
methods of scientific computation are now being used in most areas of 
applied science and engineering for the solution of large scale linear 
systems and eigenvalue problems. However, the practicioners in these
fields have tended to work independently of one another in developing
new methods and implementing them on various supercomputer architectures.
In fact, although there have been many conferences all over the world on 
this subject, there has been a distinct lack of interdisciplinary 
cooperation. This has had the unfortunate affect that recent developments
in numerical methods have often ignored the needs of the practicioners, who
then  produced their own methods.  

The purpose of this short course is to bring together applied scientists
with those working in scientific computing and numerical mathematics
in order to exchange ideas and to consider new approaches and developments.
It is planned to have 5 days of extended lecture sessions consisting of
invited talks on topics in Large Scale Scientific Computing (LSSC).

Topics and speakers: 

LSSC in mechanics, Prof. Langer (Techn. Univ. Chemnitz)
LSSC in chemistry, Prof. Hinze (Univ. Bielefeld)
LSSC in physics, Prof. Karsch (Univ. Bielefeld, KFA Juelich) 
LSSC in aerodynamics, Prof. Haenel (Univ. Duisburg)
LSSC in hydrology, Dr. Eiermann (Univ. Karlsruhe), Dr. Peters (IBM Heidelberg)
LSSC in telecommunication, Dr. Krieger (Bundespost-Telecom, Darmstadt)
iterative methods (symmetric systems), Prof. Golub (Stanford Univ.)  
iterative methods (unsymmetric systems), Dr. Freund (RIACS, NASA Ames)
direct methods, Prof. Duff (Rutherford Labs)
iterative methods (eigenvalue problems), Prof. Parlett (Univ. Calif. Berkeley)
multigrid methods, Prof. Wittum (Univ. Heidelberg)
semi--iterative methods, Prof. Niethammer (Univ. Karlsruhe) 
LAPACK, Dr. Bischoff (Argonne Ntl. Laboratory)

For further information contact :

Bernd Volkmer,
FSP Mathematisierung, Universitaet Bielefeld, Postfach 8640, D-4800
Bielefeld 1, Tel.: (0521-106-4764)
email: [email-masked]

------------------------------

From: Marcin Paprzycki <[email-masked]>
Date: Sat, 28 Dec 1991 12:49:48 GMT-0600
Subject: Extended Deadline For PBSC 1992

The Permian Basin Supercomputing Conference 1992, to be held
in Odessa, Texas on March 13-15, EXTENDS the submition deadline for
the contributed presentations.

The purpose of the conference is to bring together researchers in
all fields of supercomputing, high performance computing and
parallel computing for an effective exchange of ideas and
discussion of recent developments and future directions of
research.

Submit three copies of detailed abstract (not to exceed 1000 words) by 

                     January, 15 1992
to:
    Marcin Paprzycki, Conference Chairman
    Department of Mathematics and Computer Science 
    University of Texas of the Permian Basin
    Odessa, TX 79762 

    Phone: (915) 367-2244 
    Fax: (915) 367-2115 
    E-mail: [email-masked]
            [email-masked]

------------------------------

End of NA Digest
**************************
-------